### Function

# FwupdPlugin input_stream_compute_checksum

#### Declaration [src]

    gchar*
    fu_input_stream_compute_checksum (
      GInputStream* stream,
      GChecksumType checksum_type,
      GError** error
    )

#### Description [src]

Generates the checksum of the entire stream.

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`checksum_type` | `GChecksumType`
| A `GChecksumType`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| The hexadecimal representation of the checksum, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.